<%
'#################################################################################
'## Copyright (C) 2000-01 Michael Anderson and Pierre Gorissen
'## 
'## This program is free software; you can redistribute it and/or
'## modify it under the terms of the GNU General Public License
'## as published by the Free Software Foundation; either version 2
'## of the License, or any later version.
'##
'## All copyright notices regarding Snitz Forums 2000
'## must remain intact in the scripts and in the outputted HTML
'## The "powered by" text/logo with a link back to 
'## http://forum.snitz.com in the footer of the pages MUST
'## remain visible when the pages are viewed on the internet or intranet.
'## 
'## This program is distributed in the hope that it will be useful,
'## but WITHOUT ANY WARRANTY; without even the implied warranty of
'## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'## GNU General Public License for more details.
'## 
'## You should have received a copy of the GNU General Public License
'## along with this program; if not, write to the Free Software
'## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'## 
'## Support can be obtained from support forums at:
'## http://forum.snitz.com 
'##
'## Correspondence and Marketing Questions can be sent to:
'## reinhold@bigfoot.com
'## 
'## or
'## 
'## Snitz Communications 
'## C/O: Michael Anderson
'## PO Box 200
'## Harpswell, ME 04079
'#################################################################################

if (strDBType = "sqlserver") then

	my_Conn.Errors.Clear
	on error resume next

	strSql = "CREATE TABLE " & strTablePrefix & "CATEGORY ( "
	strSql = strSql & "CAT_ID int IDENTITY (1, 1) NOT NULL , "
	strSql = strSql & "CAT_STATUS smallint NULL , "
	strSql = strSql & "CAT_NAME  varchar (100) NULL, "
	strSql = strSql & "CAT_MODERATION int NULL CONSTRAINT " & strTablePrefix & "SnitzC1020 DEFAULT 0, "
	strSql = strSql & "CAT_SUBSCRIPTION int NULL CONSTRAINT " & strTablePrefix & "SnitzC1021 DEFAULT 0, "
	strSql = strSql & "CAT_ORDER int NULL CONSTRAINT " & strTablePrefix & "SnitzC1022 DEFAULT 1 )"


	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "CREATE TABLE " & strTablePrefix & "CONFIG_NEW ( "
	strSql = strSql & "ID int IDENTITY (1, 1) NOT NULL , "
	strSql = strSql & "C_VARIABLE varchar (255) NULL , "
	strSql = strSql & "C_VALUE varchar (255) NULL )"
	
	my_Conn.Execute strSql
	'ChkDBInstall()

	strSql = "CREATE TABLE " & strTablePrefix & "FORUM ( "
	strSql = strSql & "CAT_ID int NOT NULL , "
	strSql = strSql & "FORUM_ID int IDENTITY (1, 1) NOT NULL , "
	strSql = strSql & "F_STATUS smallint NULL , "
	strSql = strSql & "F_MAIL smallint NULL , "
	strSql = strSql & "F_SUBJECT varchar (100) NULL , "
	strSql = strSql & "F_URL varchar (255) NULL , "
	strSql = strSql & "F_DESCRIPTION varchar (255) NULL , "
	strSql = strSql & "F_TOPICS int NULL , "
	strSql = strSql & "F_COUNT int NULL , "
	strSql = strSql & "F_LAST_POST varchar (50) NULL , "
	strSql = strSql & "F_PASSWORD_NEW varchar (255) NULL , "
	strSql = strSql & "F_USERLIST varchar (255) NULL , "
	strSql = strSql & "F_PRIVATEFORUMS int NULL , "
	strSql = strSql & "F_TYPE smallint NULL , "
	strSql = strSql & "F_IP varchar (50) NULL,  "
	strSql = strSql & "F_LAST_POST_AUTHOR int NULL, "
	strSql = strSql & "F_MODERATION int NOT NULL CONSTRAINT " & strTablePrefix & "SnitzC1018 DEFAULT 0, "
	strSql = strSql & "F_SUBSCRIPTION int NOT NULL CONSTRAINT " & strTablePrefix & "SnitzC1019 DEFAULT 0, "
	strSql = strSql & "F_ORDER int NOT NULL CONSTRAINT " & strTablePrefix & "SnitzC1025 DEFAULT 1, "
	strSql = strSql & "F_L_ARCHIVE varchar (20) NOT NULL CONSTRAINT " & strTablePrefix & "SnitzC1026 DEFAULT '', "
	strSql = strSql & "F_ARCHIVE_SCHED int NOT NULL CONSTRAINT " & strTablePrefix & "SnitzC1027 DEFAULT 30, "
	strSql = strSql & "F_L_DELETE varchar (20) NOT NULL CONSTRAINT " & strTablePrefix & "SnitzC1028 DEFAULT '', "
	strSql = strSql & "F_DELETE_SCHED int NOT NULL CONSTRAINT " & strTablePrefix & "SnitzC1029 DEFAULT 365 ) "


	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "CREATE TABLE " & strMemberTablePrefix & "MEMBERS ( "
	strSql = strSql & "MEMBER_ID int IDENTITY (1, 1) NOT NULL , "
	strSql = strSql & "M_STATUS smallint NULL , "
	strSql = strSql & "M_NAME varchar (75) NULL , "
	strSql = strSql & "M_USERNAME varchar (150) NULL , "
	strSql = strSql & "M_PASSWORD varchar (25) NULL , "
	strSql = strSql & "M_EMAIL varchar (50) NULL , "
	strSql = strSql & "M_COUNTRY varchar (20) NULL , "
	strSql = strSql & "M_HOMEPAGE varchar (50) NULL , "
	strSql = strSql & "M_SIG varchar (255) NULL , "
	strSql = strSql & "M_DEFAULT_VIEW int NULL , "
	strSql = strSql & "M_LEVEL smallint NULL , "
	strSql = strSql & "M_AIM varchar (150) NULL , "
	strSql = strSql & "M_YAHOO varchar (150) NULL , "
	strSql = strSql & "M_ICQ varchar (150) NULL , "
	strSql = strSql & "M_POSTS int NULL , "
	strSql = strSql & "M_DATE varchar (50) NULL , "
	strSql = strSql & "M_LASTHEREDATE varchar (50) NULL , "
	strSql = strSql & "M_LASTPOSTDATE varchar (50) NULL , "
	strSql = strSql & "M_TITLE varchar (50) NULL , "
	strSql = strSql & "M_SUBSCRIPTION smallint NULL , "
	strSql = strSql & "M_HIDE_EMAIL smallint NULL , "
	strSql = strSql & "M_RECEIVE_EMAIL smallint NULL , "
	strSql = strSql & "M_LAST_IP varchar (50) NULL , "
	strSql = strSql & "M_IP varchar (50) NULL , "
	strSql = strSql & "M_FIRSTNAME varchar (100) NULL CONSTRAINT " & strTablePrefix & "SnitzC0369 DEFAULT '' ,"
	strSql = strSql & "M_LASTNAME varchar (100) NULL CONSTRAINT " & strTablePrefix & "SnitzC0370 DEFAULT '' ,"
	strSql = strSql & "M_OCCUPATION varchar (255) NULL CONSTRAINT " & strTablePrefix & "SnitzC0371 DEFAULT '' ,"
	strSql = strSql & "M_SEX varchar (50) NULL CONSTRAINT " & strTablePrefix & "SnitzC0372 DEFAULT '' , "
	strSql = strSql & "M_AGE varchar (10) NULL CONSTRAINT " & strTablePrefix & "SnitzC0373 DEFAULT '' , "
	strSql = strSql & "M_HOBBIES text NULL , "
	strSql = strSql & "M_LNEWS text NULL , "
	strSql = strSql & "M_QUOTE text NULL , "
	strSql = strSql & "M_BIO text NULL , "
	strSql = strSql & "M_MARSTATUS varchar (100) NULL CONSTRAINT " & strTablePrefix & "SnitzC0374 DEFAULT '' ,"
	strSql = strSql & "M_LINK1 varchar (255) NULL CONSTRAINT " & strTablePrefix & "SnitzC0375 DEFAULT '' ,"
	strSql = strSql & "M_LINK2 varchar (255) NULL CONSTRAINT " & strTablePrefix & "SnitzC0376 DEFAULT '' , "
	strSql = strSql & "M_CITY varchar (100) NULL CONSTRAINT " & strTablePrefix & "SnitzC0377 DEFAULT '' , "
	strSql = strSql & "M_STATE varchar (100) NULL CONSTRAINT " & strTablePrefix & "SnitzC0379 DEFAULT '' , "
	strSql = strSql & "M_PHOTO_URL varchar (255) NULL CONSTRAINT " & strTablePrefix & "SnitzC0378 DEFAULT '' )"
	

	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "CREATE TABLE " & strTablePrefix & "MODERATOR ( "
	strSql = strSql & "MOD_ID int IDENTITY (1, 1) NOT NULL , "
	strSql = strSql & "FORUM_ID int NULL , "
	strSql = strSql & "MEMBER_ID int NULL , "
	strSql = strSql & "MOD_TYPE smallint NULL )"
	
	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "CREATE TABLE " & strTablePrefix & "REPLY ( "
	strSql = strSql & "CAT_ID int NOT NULL , "
	strSql = strSql & "FORUM_ID int NOT NULL , "
	strSql = strSql & "TOPIC_ID int NOT NULL , "
	strSql = strSql & "REPLY_ID int IDENTITY (1, 1) NOT NULL , "
	strSql = strSql & "R_MAIL smallint NULL , "
	strSql = strSql & "R_AUTHOR int NULL , "
	strSql = strSql & "R_MESSAGE text NULL , "
	strSql = strSql & "R_DATE varchar (50) NULL , "
	strSql = strSql & "R_IP varchar (50) NULL, "
	strSql = strSql & "R_STATUS smallint NULL CONSTRAINT " & strTablePrefix & "SnitzC1017 DEFAULT 0)"
	
	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "CREATE TABLE " & strTablePrefix & "TOPICS ( "
	strSql = strSql & "CAT_ID int NOT NULL , "
	strSql = strSql & "FORUM_ID int NOT NULL , "
	strSql = strSql & "TOPIC_ID int IDENTITY (1, 1) NOT NULL , "
	strSql = strSql & "T_STATUS smallint NULL , "
	strSql = strSql & "T_MAIL smallint NULL , "
	strSql = strSql & "T_SUBJECT varchar (100) NULL , "
	strSql = strSql & "T_MESSAGE text NULL , "
	strSql = strSql & "T_AUTHOR int NULL , "
	strSql = strSql & "T_REPLIES int NULL , "
	strSql = strSql & "T_VIEW_COUNT int NULL , "
	strSql = strSql & "T_LAST_POST varchar (50) NULL , "
	strSql = strSql & "T_DATE varchar (50) NULL, "
	strSql = strSql & "T_LAST_POSTER int NULL, "
	strSql = strSql & "T_IP varchar (50) NULL, " 
	strSql = strSql & "T_ARCHIVE_FLAG int NULL, " 
	strSql = strSql & "T_LAST_POST_AUTHOR int NULL ) "
	
	my_Conn.Execute strSql
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "TOTALS ( "
	strSql = strSql & "COUNT_ID smallint NOT NULL , "
	strSql = strSql & "P_COUNT int NULL , "
	strSql = strSql & "T_COUNT int NULL , "
	strSql = strSql & "U_COUNT int NULL ) "
	
	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "CREATE TABLE " & strTablePrefix & "ALLOWED_MEMBERS ("
	strSql = strSql & "MEMBER_ID INT NOT NULL, FORUM_ID INT NOT NULL, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC373 PRIMARY KEY NONCLUSTERED (MEMBER_ID, FORUM_ID)) "
	
	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "CREATE TABLE " & strTablePrefix & "SUBSCRIPTIONS ("
	strSql = strSql & "SUBSCRIPTION_ID INT IDENTITY NOT NULL, MEMBER_ID INT NOT NULL, "
	strSql = strSql & "CAT_ID INT NOT NULL, TOPIC_ID INT NOT NULL, FORUM_ID INT NOT NULL) "

	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "CREATE TABLE " & strTablePrefix & "A_TOPICS ( "
	strSql = strSql & "CAT_ID int NOT NULL , "
	strSql = strSql & "FORUM_ID int NOT NULL , "
	strSql = strSql & "TOPIC_ID int IDENTITY (1, 1) NOT NULL , "
	strSql = strSql & "T_STATUS smallint NULL , "
	strSql = strSql & "T_MAIL smallint NULL , "
	strSql = strSql & "T_SUBJECT varchar (100) NULL , "
	strSql = strSql & "T_MESSAGE text NULL , "
	strSql = strSql & "T_AUTHOR int NULL , "
	strSql = strSql & "T_REPLIES int NULL , "
	strSql = strSql & "T_VIEW_COUNT int NULL , "
	strSql = strSql & "T_LAST_POST varchar (50) NULL , "
	strSql = strSql & "T_DATE varchar (50) NULL, "
	strSql = strSql & "T_LAST_POSTER int NULL, "
	strSql = strSql & "T_IP varchar (50) NULL, " 
	strSql = strSql & "T_LAST_POST_AUTHOR int NULL ) "

	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "CREATE TABLE " & strTablePrefix & "A_REPLY ( "
	strSql = strSql & "CAT_ID int NOT NULL , "
	strSql = strSql & "FORUM_ID int NOT NULL , "
	strSql = strSql & "TOPIC_ID int NOT NULL , "
	strSql = strSql & "REPLY_ID int IDENTITY (1, 1) NOT NULL , "
 	strSql = strSql & "R_STATUS smallint NULL , "
	strSql = strSql & "R_MAIL smallint NULL , "
	strSql = strSql & "R_AUTHOR int NULL , "
	strSql = strSql & "R_MESSAGE text NULL , "
	strSql = strSql & "R_DATE varchar (50) NULL , "
	strSql = strSql & "R_IP varchar (50) NULL ) "

	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "ALTER TABLE " & strTablePrefix & "CATEGORY WITH NOCHECK ADD "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC1 DEFAULT  1 FOR CAT_STATUS, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC2 PRIMARY KEY  NONCLUSTERED "
	strSql = strSql & " (CAT_ID)"

	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "ALTER TABLE " & strTablePrefix & "CONFIG_NEW WITH NOCHECK ADD "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC38 PRIMARY KEY  NONCLUSTERED "
	strSql = strSql & " (ID)"

	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "ALTER TABLE " & strTablePrefix & "FORUM WITH NOCHECK ADD "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC39 DEFAULT 0 FOR CAT_ID, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC40 DEFAULT 1 FOR F_STATUS, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC41 DEFAULT 0 FOR F_MAIL, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC42 DEFAULT 0 FOR F_TOPICS, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC43 DEFAULT 0 FOR F_COUNT, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC44 DEFAULT '' FOR F_LAST_POST, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC45 DEFAULT 0 FOR F_PRIVATEFORUMS, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC46 DEFAULT 0 FOR F_TYPE, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC47 DEFAULT '000.000.000.000' FOR F_IP, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC48 PRIMARY KEY  NONCLUSTERED "
	strSql = strSql & "(CAT_ID,	FORUM_ID )"

	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "ALTER TABLE " & strMemberTablePrefix & "MEMBERS WITH NOCHECK ADD "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC49 DEFAULT 1 FOR M_STATUS, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC50 DEFAULT 1 FOR M_DEFAULT_VIEW, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC51 DEFAULT 1 FOR M_LEVEL, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC52 DEFAULT '' FOR M_DATE, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC53 DEFAULT 0 FOR M_SUBSCRIPTION, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC54 DEFAULT 0 FOR M_HIDE_EMAIL, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC55 DEFAULT 1 FOR M_RECEIVE_EMAIL, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC56 DEFAULT '000.000.000.000' FOR M_LAST_IP, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC57 DEFAULT '000.000.000.000' FOR M_IP, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC58 PRIMARY KEY  NONCLUSTERED "
	strSql = strSql & "(MEMBER_ID)"

	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "ALTER TABLE " & strTablePrefix & "MODERATOR WITH NOCHECK ADD "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC59 DEFAULT 0 FOR FORUM_ID, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC60 DEFAULT 0 FOR MEMBER_ID, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC61 DEFAULT 0 FOR MOD_TYPE, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC62 PRIMARY KEY  NONCLUSTERED "
	strSql = strSql & " (MOD_ID)"
	
	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "ALTER TABLE " & strTablePrefix & "REPLY WITH NOCHECK ADD "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC63 DEFAULT 0 FOR CAT_ID, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC64 DEFAULT 0 FOR FORUM_ID, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC65 DEFAULT 0 FOR TOPIC_ID, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC66 DEFAULT 0 FOR R_MAIL, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC67 DEFAULT 0 FOR R_AUTHOR, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC68 DEFAULT '' FOR R_DATE, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC69 DEFAULT '000.000.000.000' FOR R_IP, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC70 PRIMARY KEY  NONCLUSTERED "
	strSql = strSql & "(CAT_ID,	FORUM_ID, TOPIC_ID,	REPLY_ID )"
	
	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "ALTER TABLE " & strTablePrefix & "TOPICS WITH NOCHECK ADD "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC71 DEFAULT 0 FOR CAT_ID, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC72 DEFAULT 0 FOR FORUM_ID, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC73 DEFAULT 1 FOR T_STATUS, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC74 DEFAULT 0 FOR T_MAIL, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC75 DEFAULT 0 FOR T_AUTHOR, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC76 DEFAULT 0 FOR T_REPLIES, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC77 DEFAULT 0 FOR T_VIEW_COUNT, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC78 DEFAULT '' FOR T_LAST_POST, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC79 DEFAULT '' FOR T_DATE, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC80 DEFAULT 0 FOR T_LAST_POSTER, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC81 DEFAULT '000.000.000.000' FOR T_IP, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC82 DEFAULT 1 FOR T_ARCHIVE_FLAG, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC83 PRIMARY KEY  NONCLUSTERED "
	strSql = strSql & "(CAT_ID, FORUM_ID, TOPIC_ID )" 

	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "ALTER TABLE " & strTablePrefix & "TOTALS WITH NOCHECK ADD "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC84 DEFAULT 0 FOR COUNT_ID, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC85 DEFAULT 0 FOR P_COUNT, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC86 DEFAULT 0 FOR T_COUNT, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC87 DEFAULT 0 FOR U_COUNT, "
	strSql = strSql & "CONSTRAINT " & strTablePrefix & "SnitzC88 PRIMARY KEY  NONCLUSTERED " 
	strSql = strSql & "(COUNT_ID) "


	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "CREATE INDEX " & strTablePrefix & "CATEGORY_CAT_ID ON " & strTablePrefix & "CATEGORY(CAT_ID)"

	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "CREATE INDEX " & strTablePrefix & "CATEGORY_CAT_STATUS ON " & strTablePrefix & "CATEGORY(CAT_STATUS)"

	my_Conn.Execute strSql
	ChkDBInstall()
	
	strSql = "CREATE INDEX " & strTablePrefix & "CAT_ID ON " & strTablePrefix & "FORUM(CAT_ID)"

	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "CREATE INDEX " & strTablePrefix & "F_CAT ON " & strTablePrefix & "FORUM(CAT_ID)"

	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "CREATE INDEX " & strTablePrefix & "FORUM_ID ON " & strTablePrefix & "FORUM(FORUM_ID)"

	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "CREATE INDEX " & strMemberTablePrefix & "MEMBERS_MEMBER_ID ON " &strMemberTablePrefix & "MEMBERS(MEMBER_ID)"

	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "CREATE INDEX " & strTablePrefix & "MODERATOR_FORUM_ID ON " & strTablePrefix & "MODERATOR(FORUM_ID)"

	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "CREATE INDEX " & strTablePrefix & "MODERATORS_MEMBER_ID ON " & strTablePrefix & "MODERATOR(MEMBER_ID)"

	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "CREATE INDEX " & strTablePrefix & "REPLY_R_AUTHOR ON " & strTablePrefix & "REPLY(R_AUTHOR)"

	my_Conn.Execute strSql
	ChkDBInstall()
	
	strSql = "CREATE INDEX " & strTablePrefix & "REPLY_CATFORTOP_ID ON " & strTablePrefix & "REPLY(CAT_ID, FORUM_ID, TOPIC_ID)"

	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "CREATE INDEX " & strTablePrefix & "FORUM_ID ON " & strTablePrefix & "REPLY(FORUM_ID)"

	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "CREATE INDEX " & strTablePrefix & "REPLY_ID ON " & strTablePrefix & "REPLY(REPLY_ID)"

	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "CREATE INDEX " & strTablePrefix & "REPLY_TOPIC_ID ON " & strTablePrefix & "REPLY(TOPIC_ID)"

	my_Conn.Execute strSql
	ChkDBInstall()
	
	strSql = "CREATE INDEX " & strTablePrefix & "TOPICS_CAT_ID_FORUM_ID ON " & strTablePrefix & "TOPICS(CAT_ID, FORUM_ID)"

	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "CREATE INDEX " & strTablePrefix & "TOPICS_T_AUTHOR ON " & strTablePrefix & "TOPICS(T_AUTHOR)"

	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "CREATE INDEX " & strTablePrefix & "TOPICS_CAT_ID ON " & strTablePrefix & "TOPICS(CAT_ID)"

	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "CREATE INDEX " & strTablePrefix & "FORUM_ID ON " & strTablePrefix & "TOPICS(FORUM_ID)"

	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "CREATE INDEX " & strTablePrefix & "TOPICS_TOPIC_ID ON " & strTablePrefix & "TOPICS(TOPIC_ID)"

	my_Conn.Execute strSql
	ChkDBInstall()

	strSql = "CREATE INDEX " & strTablePrefix & "TOPICS_CAT_FOR_TOP ON " & strTablePrefix & "TOPICS(CAT_ID, FORUM_ID, TOPIC_ID)"

	my_Conn.Execute strSql
	ChkDBInstall()

	'## Only insert default values when there aren't any in the tables yet !
	'## So first check to see it they are present

	strSql = "SELECT C_VALUE FROM " & strTablePrefix & "CONFIG_NEW WHERE C_VARIABLE = 'strVersion'"
	
	set rs = my_Conn.Execute(strSql)

	if rs.EOF then

		my_conn.execute ("INSERT INTO CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('" & strNewVersion & "' , 'STRVERSION')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('Snitz forums 2000' , 'STRFORUMTITLE')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('&copy; 2000-01 Snitz Communications' , 'STRCOPYRIGHT')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('logo_snitz_forums_2000.gif' , 'STRTITLEIMAGE')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('../' , 'STRHOMEURL')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('http://foruum.snitz.com/forum/' , 'STRFORUMURL')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('db' , 'STRAUTHTYPE')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRSETCOOKIETOFORUM')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('0' , 'STREMAIL')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRUNIQUEEMAIL')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('cdonts' , 'STRMAILMODE')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('your.mailserver.com' , 'STRMAILSERVER')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('your.email@yourserver.com' , 'STRSENDER')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('mdy' , 'STRDATETYPE')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('24' , 'STRTIMETYPE')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('0' , 'STRTIMEADJUSTLOCATION')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('0' , 'STRTIMEADJUST')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRMOVETOPICMODE')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('0' , 'STRPRIVATEFORUMS')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRSHOWMODERATORS')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('0' , 'STRSHOWRANK')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('0' , 'STRHIDEEMAIL')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRIPLOGGING')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRALLOWFORUMCODE')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('0' , 'STRIMGINPOSTS')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('0' , 'STRALLOWHTML')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRSECUREADMIN')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('0' , 'STRNOCOOKIES')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STREDITEDBYDATE')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRHOTTOPIC')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('20' , 'INTHOTTOPICNUM')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRHOMEPAGE')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRAIM')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRYAHOO')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRICQ')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRICONS')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRGFXBUTTONS')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRBADWORDFILTER')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('fuck|wank|shit|pussy|cunt' , 'STRBADWORDS')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('Verdana, Arial, Helvetica' , 'STRDEFAULTFONTFACE')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('2' , 'STRDEFAULTFONTSIZE')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('4' , 'STRHEADERFONTSIZE')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRFOOTERFONTSIZE')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('white' , 'STRPAGEBGCOLOR')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('midnightblue' , 'STRDEFAULTFONTCOLOR')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('darkblue' , 'STRLINKCOLOR')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('underline' , 'STRLINKTEXTDECORATION')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('blue' , 'STRVISITEDLINKCOLOR')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('underline' , 'STRVISITEDTEXTDECORATION')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('red' , 'STRACTIVELINKCOLOR')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('red' , 'STRHOVERFONTCOLOR')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('underline' , 'STRHOVERTEXTDECORATION')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('midnightblue' , 'STRHEADCELLCOLOR')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('mintcream' , 'STRHEADFONTCOLOR')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('slateblue' , 'STRCATEGORYCELLCOLOR')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('mintcream' , 'STRCATEGORYFONTCOLOR')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('whitesmoke' , 'STRFORUMFIRSTCELLCOLOR')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('whitesmoke' , 'STRFORUMCELLCOLOR')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('gainsboro' , 'STRALTFORUMCELLCOLOR')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('midnightblue' , 'STRFORUMFONTCOLOR')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('darkblue' , 'STRFORUMLINKCOLOR')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('black' , 'STRTABLEBORDERCOLOR')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('lightsteelblue' , 'STRPOPUPTABLECOLOR')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('black' , 'STRPOPUPBORDERCOLOR')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('blue' , 'STRNEWFONTCOLOR')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('100' , 'STRTOPICWIDTHLEFT')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('100%' , 'STRTOPICWIDTHRIGHT')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRTOPICNOWRAPLEFT')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('0' , 'STRTOPICNOWRAPRIGHT')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('Administrator' , 'STRRANKADMIN')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('Moderator' , 'STRRANKMOD')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('Starting Member' , 'STRRANKLEVEL0')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('New Member' , 'STRRANKLEVEL1')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('Junior Member' , 'STRRANKLEVEL2')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('Average Member' , 'STRRANKLEVEL3')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('Senior Member' , 'STRRANKLEVEL4')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('Advanced Member' , 'STRRANKLEVEL5')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('gold' , 'STRRANKCOLORADMIN')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('silver' , 'STRRANKCOLORMOD')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('bronze' , 'STRRANKCOLOR0')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('bronze' , 'STRRANKCOLOR1')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('bronze' , 'STRRANKCOLOR2')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('bronze' , 'STRRANKCOLOR3')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('bronze' , 'STRRANKCOLOR4')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('bronze' , 'STRRANKCOLOR5')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('0 , 'INTRANKLEVEL0')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('50 , 'INTRANKLEVEL1')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('100 , 'INTRANKLEVEL2')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('500 , 'INTRANKLEVEL3')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1000 , 'INTRANKLEVEL4')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('2000 , 'INTRANKLEVEL5')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRSIGNATURES')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRSHOWSTATISTICS')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRSHOWIMAGEPOWEREDBY')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRLOGONFORMAIL')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRSHOWPAGING')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRSHOWTOPICNAV')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('15' , 'STRPAGESIZE')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('10' , 'STRPAGENUMBERSIZE')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRFULLNAME')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('0' , 'STRPICTURE')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('0' , 'STRSEX')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('0' , 'STRCITY')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('0' , 'STRSTATE')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('0' , 'STRAGE')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRCOUNTRY')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('0' , 'STROCCUPATION')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRHOMEPAGE')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRFAVLINKS')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('0' , 'STRBIO')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('0' , 'STRHOBBIES')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('0' , 'STRLNEWS')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('0', 'STRQUOTE')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('0' , 'STRMARSTATUS')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('1' , 'STRRECENTTOPICS')")
		my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('0', 'STRNTGROUPS')")
		my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('0', 'STRNAUTOLOGON')")
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES (1' , 'STRMOVENOTIFY')")

		ChkDBInstall()
	end if
	rs.close
	set rs = nothing

	strSql = "SELECT CAT_ID FROM " & strTablePrefix & "CATEGORY"
	
	set rs = my_Conn.Execute(strSql)

	if rs.EOF then
		strSql = "INSERT " & strTablePrefix & "CATEGORY(CAT_STATUS, CAT_NAME) VALUES(1, 'Snitz Forums 2000')"

		my_Conn.Execute strSql
		ChkDBInstall()
	end if

	rs.close
	set rs = nothing

	strSql = "SELECT MEMBER_ID FROM " & strMemberTablePrefix & "MEMBERS "
	strSql = strSql & " WHERE M_LEVEL = 3"

	set rs = my_Conn.Execute(strSql)

	if rs.EOF then
		strSql = "INSERT " & strMemberTablePrefix & "MEMBERS (M_STATUS, M_NAME, M_USERNAME, M_PASSWORD, M_EMAIL, M_COUNTRY, "
		strSql = strSql & "M_HOMEPAGE, M_SIG, M_DEFAULT_VIEW, M_LEVEL, M_AIM, M_YAHOO, M_ICQ, "
		strSql = strSql & "M_POSTS, M_DATE, M_LASTHEREDATE, M_LASTPOSTDATE, M_TITLE, M_SUBSCRIPTION, "
		strSql = strSql & "M_HIDE_EMAIL, M_RECEIVE_EMAIL, M_LAST_IP, M_IP) "
		strSql = strSql & " VALUES(1, 'Admin', 'Admin', 'admin', 'yourmail@server.com', ' ', ' ', ' ', 1, 3, ' ', ' ', ' ', "
		strSql = strSql & " 1, '20010215000000', '20010215000000', '20010215000000', 'Forum Admin', 0, 0, 1, '000.000.000.000', '000.000.000.000')"

		my_Conn.Execute strSql
		ChkDBInstall()
	end if

	rs.close
	set rs = nothing

	strSql = "SELECT FORUM_ID FROM " & strTablePrefix & "FORUM "

	set rs = my_Conn.Execute(strSql)

	if rs.EOF then
		strSql = "INSERT " & strTablePrefix & "FORUM(CAT_ID, F_STATUS, F_MAIL, F_SUBJECT, F_URL, F_DESCRIPTION, F_TOPICS, F_COUNT, F_LAST_POST, "
		strSql = strSql & " F_PASSWORD_NEW, F_USERLIST, F_PRIVATEFORUMS, F_TYPE, F_IP, F_LAST_POST_AUTHOR) "
		strSql = strSql & "VALUES(1, 1, 0, 'Testing Forums', '', 'This forum gives you a chance to become more familiar with how this product responds to different features and keeps testing in one place instead of posting tests all over. Happy Posting! <img src=icon_smile.gif border=0 align=middle>', "
		strSql = strSql & " 1, 1, '20010215000000', '', '', 0, 0, '000.000.000.000', 1) "

		my_Conn.Execute strSql
		ChkDBInstall()

	end if

	rs.close
	set rs = nothing

	strSql = "SELECT TOPIC_ID FROM " & strTablePrefix & "TOPICS "

	set rs = my_Conn.Execute(strSql)

	if rs.EOF then

		strSql = "INSERT " & strTablePrefix & "TOPICS (CAT_ID, FORUM_ID, T_STATUS, T_MAIL, T_SUBJECT, T_MESSAGE, T_AUTHOR, "
		strSql = strSql & "T_REPLIES, T_VIEW_COUNT, T_LAST_POST, T_DATE, T_LAST_POSTER, T_IP, T_LAST_POST_AUTHOR, T_ARCHIVE_FLAG) "
		strSql = strSql & "VALUES(1, 1, 1, 0, 'Welcome to Snitz Forums 2000', 'Thank you for downloading the Snitz Forums 2000. We hope you enjoy this great tool to support your organization!" & CHR(13) & CHR(10) & CHR(13) & CHR(10) &"Many thanks go out to John Penfold &lt;asp@asp-dev.com&gt; and Tim Teal &lt;tteal@tealnet.com&gt; for the original source code and to all the people of Snitz Forums 2000 at http://forum.snitz.com for continued support of this product.', "
		strSql = strSql & "1, 0, 0, '20010215000000', '20010215000000', 0, '000.000.000.000', 1, 1)"

		my_Conn.Execute strSql
		ChkDBInstall()

	end if

	rs.close
	set rs = nothing

	strSql = "SELECT COUNT_ID FROM " & strTablePrefix & "TOTALS "

	set rs = my_Conn.Execute(strSql)

	if rs.EOF then

		strSql = "INSERT " & strTablePrefix & "TOTALS (COUNT_ID, P_COUNT, T_COUNT, U_COUNT) "
		strSql = strSql & "VALUES(1,1,1,1)"

		my_Conn.Execute strSql
		ChkDBInstall()

	end if
	rs.close
	set rs = nothing

end if

sub ChkDBInstall()

for counter = 0 to my_conn.Errors.Count -1
	ConnErrorNumber = my_conn.Errors(counter).Number
	ConnErrorDescription = my_conn.Errors(counter).Description
	
	if ConnErrorNumber <> 0 then 
		Err_Msg = "<tr><td bgColor=red align=""left"" width=""30%""><font face=""Verdana, Arial, Helvetica"" size=""2""><b>Error: " & ConnErrorNumber & "</b></font></td>"
		Err_Msg = Err_Msg & "<td bgColor=lightsteelblue align=""left""><font face=""Verdana, Arial, Helvetica"" size=""2"">" & ConnErrorDescription & "</font></td></tr>"
		Err_Msg = Err_Msg & "<tr><td bgColor=red align=""left"" width=""30%""><font face=""Verdana, Arial, Helvetica"" size=""2""><b>strSql: </b></font></td>"
		Err_Msg = Err_Msg & "<td bgColor=lightsteelblue align=""left""><font face=""Verdana, Arial, Helvetica"" size=""2"">" & strSql & "</font></td></tr>"	
		
		Response.Write(Err_Msg)
		intCriticalErrors = intCriticalErrors + 1
	end if
next
my_conn.Errors.Clear 

end sub

%>
